package com.ywt.outpatient.domain.models.enums;

/**
 * 图片类型枚举
 */
public enum MedicalRecordsImageTypeEnum {

    Patient("患者信息图片", 0),
    Order("咨询订单图片", 1),
    MedicalRecords("病历图片", 2),  //   /up/patient/his/image
    UserPatient("用户端患者信息图片", 3),
    DoctorCertificate("医生证书", 4),       //执业证书
    DoctorIdNoImg("医生身份证", 5),
    DoctorQualificationImg("医师资格证", 6),
    DoctorProfessionalSkillImg("医师专业技术资格证",7);

    private final String displayName;

    private final int value;

    MedicalRecordsImageTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
